#!/bin/bash
#
# Copyright (c) 2024, Oracle and/or its affiliates.
#

set -o nounset -o errexit -o pipefail
set -m

SPRITE_X11_DIR_DEFAULT=/opt/oracle/sprite-x11

SPRITE_X11_DIR=${SPRITE_X11_HOME:-${SPRITE_X11_DIR_DEFAULT}}
SPRITE_X11_BIN="${SPRITE_X11_DIR}/bin"

exec "${SPRITE_X11_BIN}/x11SessionServiceCommon.sh" -x xvfb "$@"
