#!/bin/bash
#
# Copyright (c) 2021, 2024, Oracle and/or its affiliates.
#

if [ -z "${INSTALL_PATH}" ]
then
    echo "INSTALL_PATH not set"
    exit 1
fi

# Install univ keymap
cp -rf "${INSTALL_PATH}"/etc/X11/xkb/symbols/sgd_vndr /usr/share/X11/xkb/symbols/

# Allow any user to run Xorg
WRAPPER_CONFIG="/etc/X11/Xwrapper.config"
echo "allowed_users=anybody" > "${WRAPPER_CONFIG}"

exit 0
